<?php
/*
Plugin Name: WP-AVIM-Reloaded
Plugin URI: http://blog.link2caro.net/wp-avim-reloaded/
Description: Bộ gõ tiếng Việt cho WordPress. A Quick AVIM Integration into your WordPress powered blog. Originally by <a href="http://onetruebrace.com/2008/12/24/wp-avim-1-cham-1wp-avim-1-cham-1/">Quang Anh Do</a>. New version uses the new object-oriented AVIM-Reloaded to avoid javascript function collision. AVIM was written by <a href="http://sourceforge.net/projects/rhos">Hieu Tran Dang</a> and AVIM-Reloaded was modified
Author: Minh Quan TRAN
Version: 1.1.1
Author URI: http://wordpressvn.net/
*/

/**
 * TODO:
 * Move options into database so that we don't need to modify directly in files
 */

add_action('admin_footer', 'wp_avimr_script');
add_action('wp_footer', 'wp_avimr_script');
add_action('admin_menu', 'wp_avimr_add_custom_box');
add_action('comment_form', 'wp_avimr_options');

function wp_avimr_add_custom_box() {
	if (function_exists('add_meta_box')) {
		add_meta_box('wp_avim', 'Bộ gõ AVIM-Reloaded', 'wp_avimr_new_box', 'post', 'advanced');
		add_meta_box('wp_avim', 'Bộ gõ AVIM-Reloaded', 'wp_avimr_new_box', 'page', 'advanced');
	} else {
		//Soon to be removed
		add_action("dbx_post_sidebar", 'wp_avimr_old_box');
		add_action("dbx_page_sidebar", 'wp_avimr_old_box');
	}
}

function wp_avimr_script() {
	//If we don't use built-in javascript control, the control cannot be shown
	$showControl_controlHiddable = (in_array($_SERVER['PHP_SELF'], array('/wp-admin/post.php','/wp-admin/page.php','/wp-admin/post-new.php','/wp-admin/page-new.php'))) ? 0 : 1;
	$url = WP_CONTENT_URL.'/plugins/wp-avim-reloaded';
	echo
<<<WP_VIM_RELOADED
	<!-- WP-AVIM-Reloaded 1.0 -->
	<script type="text/javascript">
	var AVIMGlobalConfig = {
		method: 0, //Default input method: 0=AUTO, 1=TELEX, 2=VNI, 3=VIQR, 4=VIQR*
		onOff: 1, //Default state: 0=Off, 1=On
		ckSpell: 1, //Default Spell Check: 0=Off, 1=On
		oldAccent: 1, //0: New way (oa`, oe`, uy`), 1: The good old day (o`a, o`e, u`y)
		useCookie: 1, //Cookies: 0=Off, 1=On
		exclude: ["email","mail","password","passwd","pass"], //IDs of the fields you DON'T want to let users type Vietnamese in
		showControl: {$showControl_controlHiddable}, //Show control panel: 0=Off, 1=On. If you turn this on, you will have a floating control panel
		controlCSS: "{$url}/avimr.css", //URL to avimr.css
		controlHiddable: {$showControl_controlHiddable}, //Allow the control to hide?
		controlHidden: 0 //Hide the control panel by default
	};
	
	//Set to true the methods which you want to be included in the AUTO method
	var AVIMAutoConfig = {
		telex: true,
		vni: true,
		viqr: false,
		viqrStar: false
	};
	</script>
	<script type="text/javascript" src="{$url}/avimr.js" mce_src="{$url}/avimr.js"></script>
	<noscript>Bật JavaScript để có thể gõ tiếng Việt có dấu</noscript>
	<!-- /WP-AVIM-Reloaded  1.0 -->
WP_VIM_RELOADED;
}

function wp_avimr_new_box() {
?>
<ul id="AVIMRControl" style="display:block;list-style-type:none;height:40px;">
	<span style="float:left;padding-right:10px;">
		<li><input id="avimr_auto" onclick="AVIMObj.setMethod(0);" type="radio" name="AVIMMethod">Tự động</li>
		<li><input id="avimr_telex" onclick="AVIMObj.setMethod(1);" type="radio" name="AVIMMethod">TELEX</li>
	</span>
	<span style="float:left;padding-right:10px;">
		<li><input id="avimr_off" onclick="AVIMObj.setMethod(-1);" type="radio" name="AVIMMethod">Tắt</li>
		<li><input id="avimr_vni" onclick="AVIMObj.setMethod(2);" type="radio" name="AVIMMethod">VNI</li>
	</span>
	<!--
	<span style="float:left;padding-right:10px;">
	<li><input id="avimr_viqr" onclick="AVIMObj.setMethod(3);" type="radio" name="AVIMMethod">VIQR</li>
	<li><input id="avimr_viqr2" onclick="AVIMObj.setMethod(4);" type="radio" name="AVIMMethod">VIQR*</li>
	</span>
	-->
	<span style="float:right;">
		<li><input id="avimr_ckspell" onclick="AVIMObj.setSpell(this);" type="checkbox" name="AVIMMethod">Kiểm tra chính tả</li>
		<li><input id="avimr_daucu" onclick="AVIMObj.setDauCu(this);" type="checkbox" name="AVIMMethod">Bỏ dấu kiểu cũ</li>
	</span>
</ul>
<?php
}

function wp_avimr_old_box() {
?>
<fieldset id="customsmileysbox" class="dbx-box">
    <h3 class="dbx-handle">Bộ gõ AVIM-Reloaded</h3>
    <div class="dbx-content">
        <ul id="AVIMRControl" style="display:block;list-style-type:none;height:40px;">
			<span style="float:left;padding-right:10px;">
				<li><input id="avimr_auto" onclick="AVIMObj.setMethod(0);" type="radio" name="AVIMMethod">Tự động</li>
				<li><input id="avimr_telex" onclick="AVIMObj.setMethod(1);" type="radio" name="AVIMMethod">TELEX</li>
			</span>
			<span style="float:left;padding-right:10px;">
				<li><input id="avimr_off" onclick="AVIMObj.setMethod(-1);" type="radio" name="AVIMMethod">Tắt</li>
				<li><input id="avimr_vni" onclick="AVIMObj.setMethod(2);" type="radio" name="AVIMMethod">VNI</li>
			</span>
			<!--
			<span style="float:left;padding-right:10px;">
			<li><input id="avimr_viqr" onclick="AVIMObj.setMethod(3);" type="radio" name="AVIMMethod">VIQR</li>
			<li><input id="avimr_viqr2" onclick="AVIMObj.setMethod(4);" type="radio" name="AVIMMethod">VIQR*</li>
			</span>
			-->
			<span style="float:right;">
				<li><input id="avimr_ckspell" onclick="AVIMObj.setSpell(this);" type="checkbox" name="AVIMMethod">Kiểm tra chính tả</li>
				<li><input id="avimr_daucu" onclick="AVIMObj.setDauCu(this);" type="checkbox" name="AVIMMethod">Bỏ dấu kiểu cũ</li>
			</span>
		</ul>
    </div>
</fieldset>
<?php
}

function wp_avimr_options() {
?>
<p id="AVIMRControl" class="wp-avim-reloaded-options">
	Bộ gõ AVIM-Reloaded:<br/>
    <input id="avimr_auto" onclick="AVIMObj.setMethod(0);" type="radio" name="AVIMMethod" />Tự động
    <input id="avimr_telex" onclick="AVIMObj.setMethod(1);" type="radio" name="AVIMMethod" />TELEX
    <input id="avimr_vni" onclick="AVIMObj.setMethod(2);" type="radio" name="AVIMMethod" />VNI
    <!--
	<input id="avimr_viqr" onclick="AVIMObj.setMethod(3);" type="radio" name="AVIMMethod" />VIQR
    <input id="avimr_viqr2" onclick="AVIMObj.setMethod(4);" type="radio" name="AVIMMethod" />VIQR*
	-->
    <input id="avimr_off" onclick="AVIMObj.setMethod(-1);" type="radio" name="AVIMMethod" />Tắt
	<input id="avimr_ckspell" onclick="AVIMObj.setSpell(this);" type="checkbox" name="AVIMMethod" />Kiểm tra chính tả
    <input id="avimr_daucu" onclick="AVIMObj.setDauCu(this);" type="checkbox" name="AVIMMethod" />Bỏ dấu kiểu cũ
</p>
<?php
}
?>